using Fiesta.Login.Worlds.Networking.PacketTypes;
using Fiesta.Networking;
using Fiesta.Networking.Packets;
using Fiesta.Players;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Networking.Packets;

namespace World.Login.Networking.Packets.Misc.In
{
	public static class WorldTransfer
	{
		[PacketHandler("Login", MISC.WORLD_TRANSFER)]
		public static void Handle(Client client, InPacket packet)
		{
			string guid = packet.ReadString(32);
			UInt32 userID = packet.ReadUInt32();
			
			PlayerManager.PlayerGUIDs.Add(new PlayerGUID(guid, userID, DateTime.Now));
		}
	}
}